[systemd-commits] 3 commits - test/TEST-01-BASIC
Kay Sievers
kay at kemper.freedesktop.org
Thu May 24 06:38:04 PDT 2012
test/TEST-01-BASIC/test.sh | 97 +++++++++++++++++++++++----------------------
1 file changed, 51 insertions(+), 46 deletions(-)
New commits:
commit 6b197f2a03fa03a2a853cf726d47be2ea4c623b6
Author: Harald Hoyer <harald at redhat.com>
Date: Thu May 24 15:27:53 2012 +0200
test/TEST-01-BASIC: untabified
diff --git a/test/TEST-01-BASIC/test.sh b/test/TEST-01-BASIC/test.sh
index ace159f..c84fb66 100755
--- a/test/TEST-01-BASIC/test.sh
+++ b/test/TEST-01-BASIC/test.sh
@@ -56,35 +56,35 @@ EOF
(cd ../..; make DESTDIR=$initdir install)
# install possible missing libraries
- for i in $initdir/{sbin,bin}/* $initdir/lib/systemd/*; do
+ for i in $initdir/{sbin,bin}/* $initdir/lib/systemd/*; do
inst_libs $i
done
# activate kmsg import
- echo 'ImportKernel=yes' >> $initdir/etc/systemd/journald.conf
+ echo 'ImportKernel=yes' >> $initdir/etc/systemd/journald.conf
# make a journal directory
- mkdir -p $initdir/var/log/journal
+ mkdir -p $initdir/var/log/journal
# install some basic config files
- inst /etc/sysconfig/init
- inst /etc/passwd
- inst /etc/shadow
- inst /etc/group
- inst /etc/shells
- inst /etc/nsswitch.conf
- inst /etc/pam.conf
- inst /etc/securetty
- inst /etc/os-release
+ inst /etc/sysconfig/init
+ inst /etc/passwd
+ inst /etc/shadow
+ inst /etc/group
+ inst /etc/shells
+ inst /etc/nsswitch.conf
+ inst /etc/pam.conf
+ inst /etc/securetty
+ inst /etc/os-release
inst /etc/localtime
# we want an empty environment
- > $initdir/etc/environment
+ > $initdir/etc/environment
# set the hostname
- echo systemd-testsuite > $initdir/etc/hostname
+ echo systemd-testsuite > $initdir/etc/hostname
# setup the testsuite target
- cat >$initdir/etc/systemd/system/testsuite.target <<EOF
+ cat >$initdir/etc/systemd/system/testsuite.target <<EOF
[Unit]
Description=Testsuite target
Requires=multi-user.target
@@ -94,7 +94,7 @@ AllowIsolate=yes
EOF
# setup the testsuite service
- cat >$initdir/etc/systemd/system/testsuite.service <<EOF
+ cat >$initdir/etc/systemd/system/testsuite.service <<EOF
[Unit]
Description=Testsuite service
After=multi-user.target
@@ -105,11 +105,11 @@ ExecStartPost=/usr/sbin/poweroff
Type=oneshot
EOF
- mkdir -p $initdir/etc/systemd/system/testsuite.target.wants
- ln -fs ../testsuite.service $initdir/etc/systemd/system/testsuite.target.wants/testsuite.service
+ mkdir -p $initdir/etc/systemd/system/testsuite.target.wants
+ ln -fs ../testsuite.service $initdir/etc/systemd/system/testsuite.target.wants/testsuite.service
# make the testsuite the default target
- ln -fs testsuite.target $initdir/etc/systemd/system/default.target
+ ln -fs testsuite.target $initdir/etc/systemd/system/default.target
mkdir -p $initdir/etc/rc.d
cat >$initdir/etc/rc.d/rc.local <<EOF
#!/bin/bash
@@ -124,7 +124,7 @@ EOF
inst_libdir_file "libnss_files*"
# install dbus and pam
- find \
+ find \
/etc/dbus-1 \
/etc/pam.d \
/etc/security \
@@ -135,27 +135,27 @@ EOF
done
# install dbus socket and service file
- inst /usr/lib/systemd/system/dbus.socket
- inst /usr/lib/systemd/system/dbus.service
+ inst /usr/lib/systemd/system/dbus.socket
+ inst /usr/lib/systemd/system/dbus.service
# install basic keyboard maps and fonts
- for i in \
+ for i in \
/usr/lib/kbd/consolefonts/latarcyrheb-sun16* \
/usr/lib/kbd/keymaps/include/* \
/usr/lib/kbd/keymaps/i386/include/* \
/usr/lib/kbd/keymaps/i386/qwerty/us.*; do
- [[ -f $i ]] || continue
- inst $i
- done
+ [[ -f $i ]] || continue
+ inst $i
+ done
# some basic terminfo files
- for _terminfodir in /lib/terminfo /etc/terminfo /usr/share/terminfo; do
+ for _terminfodir in /lib/terminfo /etc/terminfo /usr/share/terminfo; do
[ -f ${_terminfodir}/l/linux ] && break
- done
- dracut_install -o ${_terminfodir}/l/linux
+ done
+ dracut_install -o ${_terminfodir}/l/linux
# softlink mtab
- ln -fs /proc/self/mounts $initdir/etc/mtab
+ ln -fs /proc/self/mounts $initdir/etc/mtab
# install any Exec's from the service files
egrep -ho '^Exec[^ ]*=[^ ]+' $initdir/lib/systemd/system/*.service \
@@ -165,23 +165,23 @@ EOF
done
# install plymouth, if found... else remove plymouth service files
- if [ -x /usr/libexec/plymouth/plymouth-populate-initrd ]; then
+ if [ -x /usr/libexec/plymouth/plymouth-populate-initrd ]; then
PLYMOUTH_POPULATE_SOURCE_FUNCTIONS="$TEST_BASE_DIR/test-functions" \
/usr/libexec/plymouth/plymouth-populate-initrd -t $initdir
- dracut_install plymouth plymouthd
- else
- rm -f $initdir/usr/lib/systemd/system/plymouth* $initdir/usr/lib/systemd/system/*/plymouth*
+ dracut_install plymouth plymouthd
+ else
+ rm -f $initdir/usr/lib/systemd/system/plymouth* $initdir/usr/lib/systemd/system/*/plymouth*
fi
# some helper tools for debugging
- dracut_install sh df free ls shutdown poweroff \
+ dracut_install sh df free ls shutdown poweroff \
stty cat ps ln ip route \
- mount dmesg dhclient mkdir cp ping dhclient \
- umount strace less grep id tty touch
+ mount dmesg dhclient mkdir cp ping dhclient \
+ umount strace less grep id tty touch
# install ld.so.conf* and run ldconfig
- cp -a /etc/ld.so.conf* $initdir/etc
- ldconfig -r "$initdir"
+ cp -a /etc/ld.so.conf* $initdir/etc
+ ldconfig -r "$initdir"
)
umount $TESTDIR/root
commit 3d3035e80c7deab9b0bf7050228385664a022fe3
Author: Harald Hoyer <harald at redhat.com>
Date: Thu May 24 15:27:13 2012 +0200
test/TEST-01-BASIC: add a defined rc.local
diff --git a/test/TEST-01-BASIC/test.sh b/test/TEST-01-BASIC/test.sh
index 5987edf..ace159f 100755
--- a/test/TEST-01-BASIC/test.sh
+++ b/test/TEST-01-BASIC/test.sh
@@ -110,7 +110,12 @@ EOF
# make the testsuite the default target
ln -fs testsuite.target $initdir/etc/systemd/system/default.target
-
+ mkdir -p $initdir/etc/rc.d
+ cat >$initdir/etc/rc.d/rc.local <<EOF
+#!/bin/bash
+exit 0
+EOF
+ chmod 0755 $initdir/etc/rc.d/rc.local
# install basic tools needed
dracut_install sh bash setsid loadkeys setfont \
login sushell sulogin gzip sleep echo
commit 7c1856aacd4f5d41dc320860490afda18c4a7495
Author: Harald Hoyer <harald at redhat.com>
Date: Thu May 24 15:26:09 2012 +0200
test/TEST-01-BASIC: add /etc/localtime to test image
diff --git a/test/TEST-01-BASIC/test.sh b/test/TEST-01-BASIC/test.sh
index a34b55a..5987edf 100755
--- a/test/TEST-01-BASIC/test.sh
+++ b/test/TEST-01-BASIC/test.sh
@@ -10,10 +10,10 @@ KVERSION=${KVERSION-$(uname -r)}
test_run() {
qemu-kvm \
- -hda $TESTDIR/rootdisk.img \
- -m 256M -nographic \
- -net none -kernel /boot/vmlinuz-$KVERSION \
- -append "root=/dev/sda1 systemd.log_level=debug raid=noautodetect loglevel=2 init=/usr/lib/systemd/systemd rw console=ttyS0,115200n81 selinux=0 $DEBUGFAIL"
+ -hda $TESTDIR/rootdisk.img \
+ -m 256M -nographic \
+ -net none -kernel /boot/vmlinuz-$KVERSION \
+ -append "root=/dev/sda1 systemd.log_level=debug raid=noautodetect loglevel=2 init=/usr/lib/systemd/systemd rw console=ttyS0,115200n81 selinux=0 $DEBUGFAIL"
ret=1
mkdir -p $TESTDIR/root
mount ${LOOPDEV}p1 $TESTDIR/root
@@ -47,7 +47,7 @@ EOF
# Create what will eventually be our root filesystem onto an overlay
(
LOG_LEVEL=5
- initdir=$TESTDIR/root
+ initdir=$TESTDIR/root
# create the basic filesystem layout
setup_basic_dirs
@@ -76,7 +76,7 @@ EOF
inst /etc/pam.conf
inst /etc/securetty
inst /etc/os-release
-
+ inst /etc/localtime
# we want an empty environment
> $initdir/etc/environment
More information about the systemd-commits
mailing list